Package org.apache.tomcat.util.digester

## Class AbstractObjectCreationFactory

- java.lang.Object
- - org.apache.tomcat.util.digester.AbstractObjectCreationFactory

All Implemented Interfaces:
  `ObjectCreationFactory`

    public abstract class AbstractObjectCreationFactory
    extends java.lang.Object
    implements ObjectCreationFactory

Abstract base class for `ObjectCreationFactory` implementations.

### Constructor Summary

Constructors
`AbstractObjectCreationFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.Object` `createObject​(org.xml.sax.Attributes attributes)` Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.
`Digester` `getDigester()` Returns the `Digester` that was set by the `FactoryCreateRule` upon initialization.
`void` `setDigester​(Digester digester)` Set the `Digester` to allow the implementation to do logging, classloading based on the digester's classloader, etc.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractObjectCreationFactory

    public AbstractObjectCreationFactory()

### Method Detail

#### createObject

    public abstract java.lang.Object createObject​(org.xml.sax.Attributes attributes)
                                           throws java.lang.Exception

Factory method called by `FactoryCreateRule` to supply an object based on the element's attributes.

Specified by:
  `createObject` in interface `ObjectCreationFactory`
Parameters:
  `attributes` - the element's attributes
Returns:
  the created object
Throws:
  `java.lang.Exception` - any exception thrown will be propagated upwards

#### getDigester

    public Digester getDigester()

Returns the `Digester` that was set by the `FactoryCreateRule` upon initialization.

Specified by:
  `getDigester` in interface `ObjectCreationFactory`
Returns:
  the `Digester` that was set by the `FactoryCreateRule` upon initialization.

#### setDigester

    public void setDigester​(Digester digester)

Set the `Digester` to allow the implementation to do logging, classloading based on the digester's classloader, etc.

Specified by:
  `setDigester` in interface `ObjectCreationFactory`
Parameters:
  `digester` - parent Digester object